=== debian/changelog ===
kdelibs (4:2.0-20001016-0) unstable; urgency=low

  * KDE 2.0

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 16 Oct 2000 15:00:00 -0700

kdelibs (4:2.0-20001015-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 15 Oct 2000 20:05:00 -0700
                                                                                

kdelibs (4:2.0-20001013-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 13 Oct 2000 23:45:00 -0700
                                                                                

kdelibs (4:2.0-20001011-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 11 Oct 2000 03:45:00 -0700
                                                                                

kdelibs (4:2.0-20001009-3) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 10 Oct 2000 17:00:00 -0700
                                                                                

kdelibs (4:2.0-20001009-2) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 10 Oct 2000 00:00:00 -0700
                                                                                

kdelibs (4:2.0-20001009-0) unstable; urgency=low
 
  * KDE 2.0 RC2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 09 Oct 2000 08:00:00 -0700
                                                                                

kdelibs (4:2.0-20001006-4) unstable; urgency=low
 
  * Fixing startup crashes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 09:00:00 -0700
                                                                                

kdelibs (4:2.0-20001006-3) unstable; urgency=low
 
  * More upstream fixes
  * Fixing preinst applnk problem (Closes: #74195, #74218)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 03:00:00 -0700
                                                                                

kdelibs (4:2.0-20001006-2) unstable; urgency=low
 
  * More crypto fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 06 Oct 2000 15:30:00 -0700
                                                                                

kdelibs (4:2.0-20001006-0) unstable; urgency=low
   
  * More upstream fixes
  * Getting rid of kdelibs-nossl and now providing a kdelibs-crypto package

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 06 Oct 2000 01:30:00 -0700
                                                                                

kdelibs-nossl (4:2.0-20001004-2) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:00:00 -0700
                                                                                

kdelibs-nossl (4:2.0-20001004-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 04 Oct 2000 23:30:00 -0700
                                                                                

kdelibs (4:2.0-20001002-0) unstable; urgency=low
 
  * KDE 2.0 RC1
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 02 Oct 2000 01:30:00 -0700
                                                                                

kdelibs (4:2.0-20000927-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 27 Sep 2000 23:30:00 -0700

kdelibs (4:2.0-20000925-0) unstable; urgency=low

  * More upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 25 Sep 2000 15:30:00 -0700

kdelibs (4:2.0-20000923-0) unstable; urgency=low
 
  * More upstream fixes
  * Fixing build issues
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000920-0) unstable; urgency=low
 
  * More upstream fixes 
  * Fixing build issues 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000918-0) unstable; urgency=low
 
  * More upstream fixes (-beta5)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 17:00:00 -0700
                                                                                

kdelibs (4:2.0-20000910-0) unstable; urgency=low

  * More upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000909-0) unstable; urgency=low
  
  * More package cleanup
  * More upstream fixes
  * All lintian errors are bogus currently.  k*.so files are modules and
    I can only assume that lintian just doesn't know how to handle them.
    the extra license's are needed for KDE and specially setup for KDE

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Sep 2000 02:00:00 -0700

kdelibs (4:2.0-20000907-0.1) unstable; urgency=low
 
  * Fixing issue with requiring -dev package
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 21:00:00 -0700

kdelibs-nossl (4:2.0-20000907-0) unstable; urgency=low

  * More Upstream fixes
  * Initial Debian upload

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 01:00:00 -0700

kdelibs (4:2.0-20000905-0.1) unstable; urgency=low

  * More Upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 18:30:00 -0700

kdelibs (4:2.0-20000905-0) unstable; urgency=low

  * More Upstream fixes
  * Adding in a version number for libqt2.2 dependency

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 00:30:00 -0700

kdelibs (4:2.0-20000901-0) unstable; urgency=low

  * More Upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Sep 2000 00:02:00 -0700

kdelibs (4:2.0-20000829-0) unstable; urgency=low
 
  * More Upstream fixes
  * Committing most package updates to CVS tree
  * No GPL/QT conflictions

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 29 Aug 2000 21:15:00 -0700

kdelibs (4:2.0-20000825-0) experimental; urgency=low
 
  * Upstream fixes
 

