=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

SHELL=/bin/sh

BUILDDIR = ./build

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi
	version=`head -1 debian/changelog | sed -e "s#.*(\([^)]*\)).*#Debian Package \1#"` ;\
	./configure $(configkde) --with-distribution="$$version" \
	--libdir=$(kde_libdir) --includedir=$(kde_includedir) --without-ssl

	make

	touch build-stamp

debian-clean:
	dh_testdir
	-rm -f build-stamp
	dh_clean

clean: debian-clean
	-rm -f debian/debiandirs debian/undocumented 
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	fi
	-make distclean

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean
	if test -f /usr/bin/qt2kdoc; then \
		(mkdir -p debian/kdelibs3-doc/usr/share/kdoc/index) ; \
		(mkdir -p debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference) ; \
		qt2kdoc --url=/usr/share/doc/qt2.2-doc/doc/html \
		--outdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference \
		--compress \
		/usr/share/doc/qt2.2-doc/doc/html ; \
		makekdedoc --libdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference \
		--kdocopt='--skip-internal --compress' \
		--outputdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html ; \
	fi
	dh_installdocs -pkdelibs3-doc
	dh_installchangelogs -pkdelibs3-doc
	dh_compress -pkdelibs3-doc
	dh_fixperms -pkdelibs3-doc
	dh_installdeb -pkdelibs3-doc
	dh_gencontrol -pkdelibs3-doc
	dh_md5sums -pkdelibs3-doc
	dh_builddeb -pkdelibs3-doc


binary-arch:  build
	dh_testdir
	dh_testroot
	dh_clean 
	-rm -f debian/undocumented
	dh_installdirs
	install -d debian/tmp/usr/share/applnk
	install -d debian/tmp/etc/pam.d
	install -d debian/tmp/etc/kde2
	make DESTDIR=`pwd`/debian/tmp/ install
	debianrc=debian/tmp/etc/kde2/system.kdeglobals ;\
	install -d `dirname $$debianrc` ;\
	echo "[Directories]" > $$debianrc ;\
	echo "dir_config=/etc/kde2" >> $$debianrc ;\
	echo "dir_html=/usr/share/doc/kde/HTML" >> $$debianrc ;\
	echo "dir_apps=/usr/share/applnk" >> $$debianrc 
	cp debian/tmp/etc/kde2/system.kdeglobals debian/tmp/etc/kderc
	perl -w admin/debianrules cleanup
	cp debian/kde.pamd debian/tmp/etc/pam.d/kde
	for i in `find debian/tmp/usr/bin | sed -e 's#^debian/tmp/usr/bin/##'  | grep -v "debian/tmp"`; do \
	  echo "$$i.1" >> debian/undocumented ; \
	done
	for i in `cat debian/undocumented.in | grep -v "#"`; do \
	  echo "$$i.1" >> debian/undocumented ; \
	done
	sed -e "s#kde_confdir='etc/kde2'#kde_confdir='/etc/kde2'#" debian/tmp/etc/kde2/kde-config > debian/tmp/etc/kde2/kde-config.tmp
	mv debian/tmp/etc/kde2/kde-config.tmp debian/tmp/etc/kde2/kde-config
	dh_installdocs
# libraries not starting with lib are modules
	list=`cd debian/tmp && find ./ -type l -name "lib*.so" | sed -e 's#^./##'` ;\
	dh_movefiles -pkdelibs3-dev $$list usr/include/kde usr/lib/lib*.a
	install -d debian/tmp/usr/share/icons/locolor/16x16/apps/
	cp debian/package.png debian/tmp/usr/share/icons/locolor/16x16/apps/
	-rm -rf debian/tmp/usr/share/apps/kssl
	mv debian/tmp/usr/lib/kio_https.so debian/tmp/usr/lib/kio_https-nossl.so
	mv debian/tmp/usr/lib/kio_https.la debian/tmp/usr/lib/kio_https-nossl.la
	mv debian/tmp/usr/lib/libkssl.so.2.0.0 debian/tmp/usr/lib/libkssl-nossl.so.2.0.0
	mv debian/tmp/usr/lib/libkssl.la debian/tmp/usr/lib/libkssl-nossl.la

	dh_installchangelogs
	dh_undocumented
	dh_strip
	for i in `find debian/ -type l -name "common"`; do \
		rm $$i; \
		ln -s ../common $$i ;\
	done
	dh_perl
	dh_link
	dh_compress 
	dh_fixperms 
	dh_suidregister 
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps 
	dh_gencontrol
	cd debian/tmp && find ./etc -type f -print | sed -e 's#^./#/#' > DEBIAN/conffiles
	chmod 644 debian/tmp/DEBIAN/conffiles
	dh_md5sums
	dh_builddeb -pkdelibs3-dev
	dh_builddeb -pkdelibs3

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch clean
